<!DOCTYPE html>
<html>
{% module Template("head.html", title=title) %}

<body class="simulations">
    {% module Template("nav.html") %}
    <main>
        <h1>Simulations</h1>
        <button type="button" id="toggleNewSim">New Simulation</button>
        <div class="newSimWrapper">
            <form method="post" id="newSimulation">
                <fieldset>
                    <legend>Data Selection</legend>
                    <div>
                        <label for="shop">Shop</label>
                        <select name="shop" id="shop" class="defaultSelected">
                            <option disabled></option>
                            <option value="" class="default" selected>Please choose</option>
                        </select>
                        <p class="helpText">To create new test instances a.k.a. shops click on the <strong>Shops</strong> link in the top navigation.</p>
                    </div>
                </fieldset>
                <fieldset>
                    <legend>Configuration</legend>
                    <div>
                        <label for="simname">Simulation Name</label>
                        <input type="text" name="simname" id="simname" placeholder="" value="T3strun">
                    </div>
                    <div>
                        <label for="seed">Random Seed</label>
                        <input type="number" pattern="[0-9]*" name="seed" id="seed" placeholder="Generated automatically if left empty" value="">
                    </div>
                </fieldset>
                <fieldset class="strategies">
                    <legend>Strategies</legend>
                    <div class="row">
                        <div class="column schedulers col-6">
                            <label for="schedulers">Scheduler</label>
                            <select id="schedulers" name="schedulers" class="defaultSelected">
                                <option disabled></option>
                                <option value="" selected>Please choose</option>
                            </select>
                            <div class="parameterList schedulers"></div>
                        </div>
                        <div class="column executors col-6">
                            <label for="executors">Executor</label>
                            <select id="executors" name="executors" class="defaultSelected">
                                <option disabled></option>
                                <option value="" selected>Please choose</option>
                            </select>
                            <div class="parameterList executors"></div>
                        </div>
                    </div>
                    <div>
                        <button type="button" id="addStrategy">Add Strategy</button>
                    </div>
                    <table class="control" id="strategies">
                        <thead>
                            <tr>
                                <th scope="col">Scheduler</th>
                                <th scope="col">Executor</th>
                                <th scope="col">Action</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                        <tfoot></tfoot>
                        <caption>The selected strategies to be simulated.</caption>
                    </table>
                </fieldset>
                <fieldset>
                    <legend>Job Selection</legend>
                    <div>
                        <label for="job_selector">Job Selection Strategy</label>
                        <select id="job_selector" name="job_selector" class="defaultSelected">
                            <option disabled></option>
                            <option value="" selected>Please choose</option>
                        </select>
                        <div class="parameterList job_selector"></div>
                    </div>
                </fieldset>
                <fieldset>
                    <legend>Job Distribution</legend>
                    <div class="row">
                        <div class="column col-6">
                            <label for="job_time_slice">Temporal Distribution Strategy</label>
                            <select id="job_time_slice" name="job_time_slice" class="defaultSelected">
                                <option disabled></option>
                                <option value="" selected>Please choose</option>
                            </select>
                            <div class="parameterList job_time_slice"></div>
                        </div>
                        <div class="column col-6">
                            <label for="job_distribution">Job Chunks Strategy</label>
                            <select id="job_distribution" name="job_distribution" class="defaultSelected">
                                <option disabled></option>
                                <option value="" selected>Please choose</option>
                            </select>
                            <div class="parameterList job_distribution"></div>
                        </div>
                    </div>
                </fieldset>
                <button type="submit">Start Simulation</button>

                <!-- TODO: What is this for?! -->
                <input type="hidden" name="next" value="{{ request.path }}"> {% module xsrf_form_html() %}
            </form>
        </div>
        <table class="control" id="simulations">
            <thead>
                <tr>
                    <th scope="col">Creation Date</th>
                    <th scope="col">Name</th>
                    <th scope="col">Status</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody></tbody>
            <tfoot></tfoot>
        </table>
    </main>
    {% module Template("footer.html") %}
</body>

</html>
